
Core - Feature # 38233

Task # 38086 (Closed): Enhance TYPO3 bootstrap mechanism

Status: Rejected Priority: Should have
Author: Oliver Hader Category:
Created: 2012-06-20 Assigned To: Oliver Hader
Updated: 2013-04-06 Due date:
PHP Version: 5.3
Complexity:
Sprint Focus:
Subject: Add event handling to bootstrap mechanism
Description

Add several events like "database is initialized", "bootstrap is initialized", etc. to the whole bootstrap mechanism.
The concrete situation to be solved is the registration of Extbase Signal Slots in ext_localconf.php - which fails since autoloader and
caching framework are not yet initialized at the time the ext_localconf.php gets executed.

History
#1 - 2012-06-20 20:01 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12239

#2 - 2012-06-20 20:43 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12239

#3 - 2012-06-30 13:23 - Susanne Moog
- Parent task set to #38086

#4 - 2013-04-06 10:05 - Benjamin Mack
- Status changed from Under Review to Rejected

Not needed anymore in this way, Signal Slot in ext_localconf.php can be used without Extbase now.
